#include <sys/types.h>
#include <stdio.h>
#include <dhcp6_nic.h>

int main(int argc, char **argv, char **envp)
{
    NLH_t nh = nic_open(nic_stderr_logger);
    nic_set_loglevel(nh,7);
    LIBDHCP_Control *ctl =  
	libdhcp_control_new
	(   dhcp6_nic_callback,
	    0,  /* NO "capabilities"! */
	    10, /* timeout */
	    0,  /* let do_dhcpv6 worry about arg */
	    libdhcp_stderr_logger, LOG_INFO
	);
    nic_set_va_logger(nh, (NIC_VA_Error_Handler_t)libdhcp_stderr_logger, ctl);
    char eth[]="eth0";
    DHCPv6_nic *nic6 =
	do_dhcpv6(ctl, nh, eth);
    return dhcpv6_nic( nic6 );
}
